<?php
echo "<div class='event'><h1>Обменник</h1></div>";
echo "<div class='block'>";


if(isset($_GET['r_m'])){
echo "<div class='block'><img src='img/icons/left.png' alt='' class='*'/> <a href='?converter'>Назад</a></div>";
$actionx=htmlspecialchars(trim($_GET['actionx']));

switch ($actionx){
default:

echo "Курс: <b>1</b><img src='img/icons/ruby.png' alt='' class='*'/> » <b>2000</b><img src='img/icons/money.png' alt='' class='*'/><br/>";
echo "<div class='hr'></div>";
echo "Введите сумму:</br>";
echo '<form action="?converter&r_m&actionx=change" method="post">';

echo '<input name="num" type="text" value=""/>';
echo '<select name="obm" size="1">';
echo '<option value="1">Купить</option>';
//echo '<option value="2">Продать монеты</option></select>';
echo '</br><input type="submit" value="Далее"/>';
echo '</form>';

break;


case 'change':
$num=(int)$_POST['num'];
$obm=(int)$_POST['obm'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($obm==1) {
if($ku['rubies']<$num){echo 'У вас нет столько рубинов!';
echo "<div class='block'><img src='img/icons/left.png' alt='' class='*'/> <a href='?converter&r_m'>Назад</a></div>";
break;
};
$baks=$num*2000;
mysql_query("UPDATE `kolhoz_user` SET `money`=`money`+'$baks',`rubies`=`rubies`-'$num' WHERE `id`='".$ku['id']."'");
header("Location:?converter&r_m");
break;
};
if($obm==2) {
if($ku['rubies']<$num){echo 'У вас нет столько рубинов!';
echo "<img src='img/icons/left.png' alt='' class='*'/> <a href='?converter&r_m'>Назад</a>";
break;
};
if($ku['rubies']<1){echo 'Не достаточно рубинов!';
break;
};
$baks=$num/1;
mysql_query("UPDATE `kolhoz_user` SET `rubies`=`rubies`+'$baks',`money`=`money`-'$num' WHERE `id`='".$ku['id']."'");
echo "<center><div class='bubl'>";
header("Location:?converter&r_m");
break;
};
};
echo '<div class="block"><h3>Так же ресурсы можно купить:</h3>
<img width="16" height="16" src="img/icons/ruby.png" alt="o"> <a href="?payment">Купить ресурсы</a></div>';
include_once 'inc/foot.php';
}

//======
if(isset($_GET['m_r'])){
echo "<div class='block'><img src='img/icons/left.png' alt='' class='*'/> <a href='?converter'>Назад</a></div>";

   $count1=6;
$count1=floor($ku['dostig']/5)+$count1;
if(isset($flowerbed_act))$count1=$count1+$flowerbed_act;
$time_rub=floor(86400/$count1);
$time1=$time-$ku['time_obmen'];
$col_rub=floor($time1/$time_rub);
if($col_rub>$count1)$col_rub=$count1;

if(isset($_GET['all']))
{
$need_mcr=1500*$col_rub;
if($ku['money']>=$need_mcr)
{
if($col_rub>=$count1)
{
mysql_query("UPDATE `kolhoz_user` SET `time_obmen` = '$time', `rubies` = '".($ku['rubies']+$col_rub)."', `money` = '".($ku['money']-$need_mcr)."' WHERE `id` = '$ku[id]'");
}
else mysql_query("UPDATE `kolhoz_user` SET `time_obmen` = '".($ku['time_obmen']+($col_rub*$time_rub))."', `rubies` = '".($ku['rubies']+$col_rub)."', `money` = '".($ku['money']-$need_mcr)."' WHERE `id` = '$ku[id]'");
}
else $_SESSION['no_money']=$need_mcr-$ku['money'];
header("Location:?converter&m_r");
exit;
}
elseif(isset($_GET['one']))
{
$need_mcr=1500;
if($ku['money']>=$need_mcr)
{
if($col_rub>=$count1)
{
$tkt=$col_rub-1;
$tt=$time_rub*$tkt;
$ttt=$time-$tt;
mysql_query("UPDATE `kolhoz_user` SET `time_obmen` = '$ttt', `rubies` = '".($ku['rubies']+1)."', `money` = '".($ku['money']-$need_mcr)."' WHERE `id` = '$ku[id]'");
}
else mysql_query("UPDATE `kolhoz_user` SET `time_obmen` = '".($ku['time_obmen']+$time_rub)."', `rubies` = '".($ku['rubies']+1)."', `money` = '".($ku['money']-$need_mcr)."' WHERE `id` = '$ku[id]'");
}
else $_SESSION['no_money']=$need_mcr-$ku['money'];
header("Location:?converter&m_r");
exit;
}

//===============
/*elseif(isset($_GET['onek']))
{
$need_mcr=1500;
if($ku['money']>=$need_mcr)
{
if($col_rub>=$count1)
{
$tkt=$col_rub-1;
$tt=$time_rub*$tkt;
$ttt=$time-$tt;
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+1)."', `money` = '".($ku['money']-$need_mcr)."' WHERE `id` = '$ku[id]'");
}
else mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+1)."', `money` = '".($ku['money']-$need_mcr)."' WHERE `id` = '$ku[id]'");
}
else $_SESSION['no_money']=$need_mcr-$ku['money'];
header("Location:?converter&m_r");
exit;
}*/

if($col_rub>0)echo "<div class='block'><img width='16' height='16' src='img/icons/convert.png' alt='o'> <a href='?converter&m_r&one'>Обменять</a> <img width='16' height='16' src='img/icons/money.png' alt='o'> 1500 монет на <img width='16' height='16' src='img/icons/ruby.png' alt='o'> 1 рубин.<br/><img width='16' height='16' src='img/icons/convert.png' alt='o'> <a href='?converter&m_r&all'>Обменять</a> <img width='16' height='16' src='img/icons/money.png' alt='o'> <span>".($col_rub*1500)."</span> монет на <img width='16' height='16' src='img/icons/ruby.png' alt='o'> <span>$col_rub</span> рубинов.</div>";
//else echo "<div class='block'><img width='16' height='16' src='img/icons/convert.png' alt='o'> <a href='?converter&m_r&onek'>Обменять</a> <img width='16' height='16' src='img/icons/money.png' alt='o'> 1500 монет на <img width='16' height='16' src='img/icons/ruby.png' alt='o'> 1 рубин.</div>";
else echo "<div class='block'><img width='16' height='16' src='img/icons/convert.png' alt='o'> <b>Обменять</b> <img width='16' height='16' src='img/icons/money.png' alt='o'> 1500 монет на <img width='16' height='16' src='img/icons/ruby.png' alt='o'> 1 рубин.</div>";

if($col_rub>0)echo "<div class='block'><span class='small minor'>Сейчас доступно к обмену:<span class='title'>$col_rub</span> / <span class='title'>$count1</span>";
else echo "<div class='block'><span class='small minor'>Сейчас доступно к обмену:<span class='title'>$col_rub</span> / <span class='title'>$count1</span>";
echo '<br/>(зависит от количества достижений и <a href="?shop=flowerbed">Клумбы</a>).</div><div class="block"><h3>Так же ресурсы можно купить:</h3>
<img width="16" height="16" src="img/icons/ruby.png" alt="o"> <a href="?payment">Купить ресурсы</a></div>';


include_once 'inc/foot.php';
}


//меню

echo "<div class='block'><img src='img/icons/left.png' alt='' class='*'/> <a href='?converter&m_r'>Обменять</a> <img src='img/icons/money.png' alt='' class='*'/> » <img src='img/icons/ruby.png' alt='' class='*'/></div>";
echo "<div class='block'><img src='img/icons/left.png' alt='' class='*'/> <a href='?converter&r_m'>Обменять</a> <img src='img/icons/ruby.png' alt='' class='*'/> » <img src='img/icons/money.png' alt='' class='*'/></div>";
echo '<div class="block"><h3>Так же ресурсы можно купить:</h3>
<img width="16" height="16" src="img/icons/ruby.png" alt="o"> <a href="?payment">Купить ресурсы</a></div>';







include_once 'inc/foot.php';
?>